@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@300;400;500;600;700;800;900&display=swap');


:root {
    --clr-main: #0b08af;
    --clr-main-light: #0b08af;
    --clr-white: #ececec;
    --clr-gray: #e2e2e2;
    --clr-red: #961818;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;   
}

h1, h2, h3, h4, h5, h6, p, a, input, textarea, ul {
    margin: 0;
    padding: 0;
}

ul {
    list-style-type: none;
}

a {
    text-decoration: none;
}
/* --------- HEADER --------- */
#header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #0B08AF;
    padding: 20px 12%;
    transition: all .50s ease;
    box-shadow: #000007 0px 0px 25px;
    position: sticky;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
}

#header .logo{
    display: flex;
    align-items: center;
    width: 150px;
}

.navbar{
    display: flex;
}
.navbar a{
    color: #e8e8ef;
    font-size: 1.0rem;
    font-weight: 500;
    padding: 5px 0;
    margin: 0px 30px;   
    transition: all .50s ease;
}
.navbar a:hover{
    color: #016fd4;
    border-bottom: 2px solid #016fd4;
}
.navbar a.active{
    color: #fdc402;
    font-weight: 600;
    border-color: #fdc402;
}

.git-logo i{
    font-size: 40px;
    margin: 7px;
}

.main{
    display: flex;
    align-items: center;
    font-size: 25px;
}

.main a{
    margin-right: 25px;
    margin-left: 10px;
    color: #e8e8ef;
    font-size: 1rem;
    font-weight: 500;
    transition: all .50s ease;
}

/* icons */
.nav-user{
    display: flex;
    align-items: center;
    background: #080681;
    border-radius: 12px;
    padding: 8px 0px;
    cursor: pointer;
}
.nav-icon{
    display: flex;
    align-items: center;
    background: #080681;
    border-radius: 12px;
    padding: 2px 5px;
    cursor: pointer;
}
.nav-icon i{
    font-size: 25px;
    margin: 7px;
}
.nav-user i{
    font-size: 25px;
    margin: 7px;
}


.main a:hover{
    color: #016fd4;
    font-size: 1.1rem;
    font-weight: 500;
    transition: all .50s ease;
}
#menu-icon{
    font-size: 35px;
    color: white;
    cursor: pointer;
    z-index: 10001;
    display: none;
}

/* Estilos para el menú desplegable */
.user-menu-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    top: 100%;
}

.nav-user:hover .user-menu-content {
    display: block;
}

.user-menu-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.user-menu-content a:hover {
    background-color: #f1f1f1;
}
/* -------------------------- */
.wrapper {
    display: grid;
    grid-template-columns: 1fr 4fr;
    background-color: #0b08af;
}

aside {
    padding: 2rem;
    padding-right: 0;
    color: var(--clr-white);
    position: sticky;
    top: 0;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.logo {
    font-weight: 400;
    font-size: 1.3rem;
}

.menu {
    display: flex;
    flex-direction: column;
    gap: .5rem;
}

.boton-menu {
    background-color: transparent;
    border: 0;
    color: var(--clr-white);
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 1rem;
    font-weight: 600;
    padding: 1rem;
    font-size: .85rem;
    width: 100%;
}

.boton-menu.active {
    background-color: var(--clr-white);
    color: var(--clr-main);
    border-top-left-radius: 1rem;
    border-bottom-left-radius: 1rem;
    position: relative;
}

.boton-menu.active::before {
    content: '';
    position: absolute;
    width: 1rem;
    height: 2rem;
    bottom: 100%;
    right: 0;
    background-color: transparent;
    border-bottom-right-radius: .5rem;
    box-shadow: 0 1rem 0 var(--clr-white);
}

.boton-menu.active::after {
    content: '';
    position: absolute;
    width: 1rem;
    height: 2rem;
    top: 100%;
    right: 0;
    background-color: transparent;
    border-top-right-radius: .5rem;
    box-shadow: 0 -1rem 0 var(--clr-white);
}

.boton-menu > i.bi-hand-index-thumb-fill,
.boton-menu > i.bi-hand-index-thumb {
    transform: rotateZ(90deg);
}

.boton-carrito {
    margin-top: 2rem;
}

.numerito {
    background-color: var(--clr-white);
    color: var(--clr-main);
    padding: .15rem .25rem;
    border-radius: .25rem;
}

.boton-carrito.active .numerito {
    background-color: var(--clr-main);
    color: var(--clr-white);
}

.texto-footer {
    color: var(--clr-main-light);
    font-size: .85rem;
    color: var(--clr-white);
    font-weight: 600;
}

main {
    background-color: var(--clr-white);
    margin: 1rem;
    margin-left: 0;
    border-radius: 2rem;
    padding: 3rem;
}

.titulo-principal {
    color: var(--clr-main);
    margin-bottom: 2rem;
}

.contenedor-productos {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 1rem;
}

.producto-imagen {
    max-width: 100%;
    border-radius: 1rem;
}

.producto-detalles {
    background-color: var(--clr-main);
    color: var(--clr-white);
    padding: .5rem;
    border-radius: 1rem;
    margin-top: -2rem;
    position: relative;
    display: flex;
    flex-direction: column;
    gap: .25rem;
}

.producto-titulo {
    font-size: 1rem;
}

.producto-agregar {
    border: 0;
    background-color: var(--clr-white);
    color: var(--clr-main);
    padding: .4rem;
    text-transform: uppercase;
    border-radius: 2rem;
    cursor: pointer;
    border: 2px solid var(--clr-white);
    transition: background-color .2s, color .2s;
}

.producto-agregar:hover {
    background-color: var(--clr-main);
    color: var(--clr-white);
}


/** CARRITO **/

.contenedor-carrito {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.carrito-vacio,
.carrito-comprado {
    color: var(--clr-main);
}

.carrito-productos {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.carrito-producto {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--clr-gray);
    color: var(--clr-main);
    padding: .5rem;
    padding-right: 1.5rem;
    border-radius: 1rem;
}

.carrito-producto-imagen {
    width: 4rem;
    border-radius: 1rem;
}

.carrito-producto small {
    font-size: .75rem;
}

.carrito-producto-eliminar {
    border: 0;
    background-color: transparent;
    color: var(--clr-red);
    cursor: pointer;
}

.carrito-acciones {
    display: flex;
    justify-content: space-between;
}

.carrito-acciones-vaciar {
    border: 0;
    background-color: var(--clr-gray);
    padding: 1rem;
    border-radius: 1rem;
    color: var(--clr-main);
    text-transform: uppercase;
    cursor: pointer;
}

.carrito-acciones-derecha {
    display: flex;
}

.carrito-acciones-total {
    display: flex;
    background-color: var(--clr-gray);
    padding: 1rem;
    color: var(--clr-main);
    text-transform: uppercase;
    border-top-left-radius: 1rem;
    border-bottom-left-radius: 1rem;
    gap: 1rem;
}

.carrito-acciones-comprar {
    border: 0;
    background-color: var(--clr-main);
    padding: 1rem;
    color: var(--clr-white);
    text-transform: uppercase;
    cursor: pointer;
    border-top-right-radius: 1rem;
    border-bottom-right-radius: 1rem;
}

.header-mobile {
    display: none;
}

.close-menu {
    display: none;
}

.disabled {
    display: none;
}

/* --------- Footer ----------*/
/* Estilos generales del footer */
footer {
    background-color: #2f3439;
    background-image: url("data:image/svg+xml,%3Csvg width='32' height='64' viewBox='0 0 32 64' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M0 28h20V16h-4v8H4V4h28v28h-4V8H8v12h4v-8h12v20H0v-4zm12 8h20v4H16v24H0v-4h12V36zm16 12h-4v12h8v4H20V44h12v12h-4v-8zM0 36h8v20H0v-4h4V40H0v-4z' fill='%23495057' fill-opacity='0.4' fill-rule='evenodd'/%3E%3C/svg%3E");
    color: white;
    padding: 20px 0;
}

.footer-content {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.footer-section {
    width: 40%;
    text-align: left;
}

.footer-section h3 {
    color: #ecbd2e;
    border-bottom: 1px solid #777;
    padding-bottom: 5px;
}

.footer-section ul li {
    margin-bottom: 10px;
}

.footer-section a {
    color: white;
    text-decoration: none;
}

.footer-section a:hover {
    color: #ddd;
}

.social-icon {
    font-size: 1.4rem;
    margin-right: 8px;
}

/* Estilos del footer inferior */
.footer-bottom {
    text-align: center;
    padding-top: 10px;
    border-top: 1px solid #777;
}
/*** MEDIA QUERIES ***/

@media screen and (max-width: 850px) {
    .contenedor-productos {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

@media screen and (max-width: 675px) {
    .contenedor-productos {
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (max-width: 600px) {

    .wrapper {
        min-height: 100vh;
        display: flex;
        flex-direction: column;
    }

    aside {
        position: fixed;
        z-index: 9;
        background-color: var(--clr-main);
        left: 0;
        box-shadow: 0 0 0 100vmax rgba(0, 0, 0, .75);
        transform: translateX(-100%);
        opacity: 0;
        visibility: hidden;
        transition: .2s;
    }

    .aside-visible {
        transform: translateX(0);
        opacity: 1;
        visibility: visible;
    }

    .boton-menu.active::before,
    .boton-menu.active::after {
        display: none;
    }

    main {
        margin: 1rem;
        margin-top: 0;
        padding: 2rem;
    }

    .contenedor-productos {
        grid-template-columns: 1fr 1fr;
    }

    .header-mobile {
        padding: 1rem;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .header-mobile .logo {
        color: var(--clr-gray);
    }

    .open-menu, .close-menu {
        background-color: transparent;
        color: var(--clr-gray);
        border: 0;
        font-size: 2rem;
        cursor: pointer;
    }

    .close-menu {
        display: block;
        position: absolute;
        top: 1rem;
        right: 1rem;
    }

    .carrito-producto {
        gap: 1rem;
        flex-wrap: wrap;
        justify-content: flex-start;
        padding: .5rem;
    }

    .carrito-producto-subtotal {
        display: none;
    }

    .carrito-acciones {
        flex-wrap: wrap;
        row-gap: 1rem;
    }
    

}

/* ---------- nav media --------- */
@media (max-width: 1100px){
    .header{
        padding: 14px 2%;
        transition: .2s;
    }
    .navbar{
        padding: 5px 0;
        margin: 0px 20px;
    }
}

@media (max-width: 1090px){
    #menu-icon{
        display: block;
    }
    .navbar{
        display: none;
    }
    .navbar a{
        display: block;
        margin: 12px 0px; 
        padding: 0px 25px;
        transition: all .50s ease;
        color: #080681;
        font-weight: 600;
    }
     .navbar a:hover{
        color: #016fd4;
        border-bottom: 2px solid #016fd4;
        transform: translate(5px);
    } 
    .navbar a.active{
        color: #016fd4;
        font-weight: 600;
        border-color: #016fd4;
    }
    .navbar.open{
        position: absolute;
        top: 100%;
        right: 2%;
        width: 250px;
        height: 29vh;
        background-image: linear-gradient(to right bottom, #e8e8ef, #e0e2f0, #d7ddf2, #cbd8f3, #bed4f4, #adcaf2, #9bc1f0, #87b7ee, #6da5e8, #5293e2, #3581db, #016fd4);
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        border-radius: 8px;
    }
}

@media screen and (max-width: 400px) {
    .contenedor-productos {
        grid-template-columns: 1fr;
    }
}
/* ----- MEDIAS -----*/
@media (max-width: 1100px){
    .header{
        padding: 14px 2%;
        transition: .2s;
    }
    .navbar{
        padding: 5px 0;
        margin: 0px 20px;
    }
}
@media (max-width: 1090px){
    #menu-icon{
        display: block;
    }
    .navbar{
        display: none;
        position: absolute;
        background-color: #f9f9f9;
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
        z-index: 1;
        top: 100%;
    }
    .navbar a{
        display: block;
        margin: 12px 10px; 
        padding: 0px 25px;
        transition: all .50s ease;
        color: #080681;
        font-weight: 400;
    }
     .navbar a:hover{
        color: #016fd4;
        border-bottom: 2px solid #016fd4;
        transform: translate(5px);
    } 
    .navbar a.active{
        color: #016fd4;
        font-weight: 400;
        border-color: #016fd4;
    }
    .navbar.open{
        display: none;
        position: absolute;
        top: 100%;
        right: 2%;
        width: 250px;
        height: 29vh;
        background-color: #f9f9f9;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
    }
}
